---
apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  annotations:
    machineconfiguration.openshift.io/generated-by-controller-version: c0b5ea57cf1be9fb30092472809bbb9378614c2e
  creationTimestamp: "2022-03-08T10:39:20Z"
  generation: 1
  labels:
    machineconfiguration.openshift.io/role: master
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:machineconfiguration.openshift.io/generated-by-controller-version: {}
        f:labels:
          .: {}
          f:machineconfiguration.openshift.io/role: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"76ab15bd-c8b3-4b91-88e9-735d4d94fe22"}:
            .: {}
            f:apiVersion: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        .: {}
        f:config:
          .: {}
          f:ignition:
            .: {}
            f:version: {}
        f:extensions: {}
        f:fips: {}
        f:kernelArguments: {}
        f:kernelType: {}
        f:osImageURL: {}
    manager: machine-config-controller
    operation: Update
    time: "2022-03-08T10:39:20Z"
  name: 99-master-generated-registries
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    kind: Image
    name: cluster
    uid: 76ab15bd-c8b3-4b91-88e9-735d4d94fe22
  resourceVersion: "8278"
  selfLink: /apis/machineconfiguration.openshift.io/v1/machineconfigs/99-master-generated-registries
  uid: 66dd45b3-9f2d-407c-98cf-7695bf0778bc
spec:
  config:
    ignition:
      version: 3.1.0
  extensions: null
  fips: false
  kernelArguments: null
  kernelType: ""
  osImageURL: ""
